Publish agent version
curl --request POST \
--url https://api.trymaitai.ai/api/v1/agents/{agent_id}/publish \
--header 'Content-Type: application/json' \
--header 'X-Maitai-Api-Key: <api-key>' \
--data '
{
"increment": "minor",
"notes": "Added KYC verification step"
}
'import requests
url = "https://api.trymaitai.ai/api/v1/agents/{agent_id}/publish"
payload = {
"increment": "minor",
"notes": "Added KYC verification step"
}
headers = {
"X-Maitai-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Maitai-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({increment: 'minor', notes: 'Added KYC verification step'})
};
fetch('https://api.trymaitai.ai/api/v1/agents/{agent_id}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"version": "1.3.0",
"agent_id": 101,
"notes": "Added KYC verification step",
"date_created": 1706200000
}
}Agents
Publish agent version
Publish the current draft agent configuration as a new versioned snapshot.
POST
/
agents
/
{agent_id}
/
publish
Publish agent version
Authorizations
Your Maitai API key from the Portal.
Path Parameters
Response
201 - application/json
Publish agent version.
An immutable snapshot of an agent's configuration at a point in time.
Show child attributes
Show child attributes
Was this page helpful?
⌘I